package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag740;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT740Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag31DCreator extends AbsTagCreate {

     private MT740Creator mt740Creator;

    public Tag31DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt740Creator= (MT740Creator) absMTCreator;
    }

    public void creator()
    {
        String tag31DValue = mt740Creator.getDateAndPlaceOfExpiry();
        mt740Creator.set("31D", tag31DValue);
    }
}
